Get Partner Type

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve the details of Partner types.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/partner/type

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details:

  • Partner Type Id
  • Partner Type Name
  • Partner Type Description
  • Is Active
  • Modified On

Request Parameters

To fetch Partner type, use the provided end point url.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/partner/type

Response

[
    {
        "id": 3,
        "name": "Exporter",
        "description": "Exporter",
        "is_active": true,
        "is_system_defined": true,
        "is_customer": false,
        "is_partner": true,
        "modified_on": "2024-01-29T11:10:23.8686372Z"
    },
    {
        "id": 4,
        "name": "Supplier/Packer",
        "description": "Supplier/Packer",
        "is_active": true,
        "is_system_defined": true,
        "is_customer": false,
        "is_partner": true,
        "modified_on": "2024-01-29T11:10:23.8695705Z"
    },
  
  //Additional Partner Type Details
]  

This example demonstrates a request to fetch the partner types. The response includes details such as the Partner Type Id, Partner Type Name, Partner Type Description, etc.

Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json